Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.input
Class XmlStreamReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.io.input.XmlStreamReaderException

All Implemented Interfaces:
  Serializable

    public class XmlStreamReaderException

extends IOException

The XmlStreamReaderException is thrown by the XmlStreamReader constructors if the charset encoding can not be determined according to the XML 1.0 specification and RFC 3023.

The exception returns the unconsumed InputStream to allow the application to do an alternate processing with the stream. Note that the original InputStream given to the XmlStreamReader cannot be used as that one has been already read.

Since:
  Commons IO 2.0
Version:
  $Id: XmlStreamReaderException.java 1004112 2010-10-04 04:48:25Z niallp $
Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`XmlStreamReaderException(String msg, String bomEnc, String xmlGuessEnc, String xmlEnc)` Creates an exception instance if the charset encoding could not be determined.
`XmlStreamReaderException(String msg, String ctMime, String ctEnc, String bomEnc, String xmlGuessEnc, String xmlEnc)` Creates an exception instance if the charset encoding could not be determined.

Method Summary
`String` | `getBomEncoding()` Returns the BOM encoding found in the InputStream.
`String` | `getContentTypeEncoding()` Returns the encoding in the content-type used to attempt determining the encoding.
`String` | `getContentTypeMime()` Returns the MIME type in the content-type used to attempt determining the encoding.
`String` | `getXmlEncoding()` Returns the encoding found in the XML prolog of the InputStream.
`String` | `getXmlGuessEncoding()` Returns the encoding guess based on the first bytes of the InputStream.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlStreamReaderException

    public XmlStreamReaderException(String msg,
                                    String bomEnc,
                                    String xmlGuessEnc,
                                    String xmlEnc)

  Creates an exception instance if the charset encoding could not be determined.

  Instances of this exception are thrown by the XmlStreamReader.

  Parameters:
    `msg` - message describing the reason for the exception.
    `bomEnc` - BOM encoding.
    `xmlGuessEnc` - XML guess encoding.
    `xmlEnc` - XML prolog encoding.

### XmlStreamReaderException

    public XmlStreamReaderException(String msg,
                                    String ctMime,
                                    String ctEnc,
                                    String bomEnc,
                                    String xmlGuessEnc,
                                    String xmlEnc)

  Creates an exception instance if the charset encoding could not be determined.

  Instances of this exception are thrown by the XmlStreamReader.

  Parameters:
    `msg` - message describing the reason for the exception.
    `ctMime` - MIME type in the content-type.
    `ctEnc` - encoding in the content-type.
    `bomEnc` - BOM encoding.
    `xmlGuessEnc` - XML guess encoding.
    `xmlEnc` - XML prolog encoding.

Method Detail

### getBomEncoding

    public String getBomEncoding()

  Returns the BOM encoding found in the InputStream.

  Returns:
    the BOM encoding, null if none.

### getXmlGuessEncoding

    public String getXmlGuessEncoding()

  Returns the encoding guess based on the first bytes of the InputStream.

  Returns:
    the encoding guess, null if it couldn't be guessed.

### getXmlEncoding

    public String getXmlEncoding()

  Returns the encoding found in the XML prolog of the InputStream.

  Returns:
    the encoding of the XML prolog, null if none.

### getContentTypeMime

    public String getContentTypeMime()

  Returns the MIME type in the content-type used to attempt determining the encoding.

  Returns:
    the MIME type in the content-type, null if there was not content-type or the encoding detection did not involve HTTP.

### getContentTypeEncoding

    public String getContentTypeEncoding()

  Returns the encoding in the content-type used to attempt determining the encoding.

  Returns:
    the encoding in the content-type, null if there was not content-type, no encoding in it or the encoding detection did not involve HTTP.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.